All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::handle_inc_dec_helper< OCL_TYPE > Class Template Reference

Helper for OpenCL reference counting used by class handle. More...

`#include <handle.hpp>`

## Detailed Description

### template<class OCL_TYPE>
class viennacl::ocl::handle_inc_dec_helper< OCL_TYPE >

Helper for OpenCL reference counting used by class handle.

Template Parameters

  OCL_TYPE | Must be one out of cl_mem, cl_program, cl_kernel, cl_command_queue and cl_context, otherwise a compile time error is thrown.

Definition at line 45 of file handle.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/handle.hpp